#ifndef XXIELIB_H
#define XXIELIB_H
/*|--------------------------------------------------------------------------

 MAGELLAN X-Window XIE Header                        Version 4.00 15.10.97

 Logitech Inc.
 6505 Kaiser Drive
 Fremont, CA 94555-3615

 Volker Senft:

 Email: magellan@logitech.com
        magellan@dlr.de

----------------------------------------------------------------------------|*/

int MagellanXIEInit(
#ifdef ParameterCheck
Display *display,
Window window
#endif
);

int MagellanXIEInputEvent(
#ifdef ParameterCheck
Display *display,
XEvent *Event,
MagellanIntEvent *MagellanEvent
#endif
);

int MagellanXIETranslateEvent(
#ifdef ParameterCheck
Display *display,
XEvent *Event,
MagellanFloatEvent *MagellanEvent,
double MagellanTranslationScale,
double MagellanRotationScale
#endif
);

int MagellanXIEClose(
#ifdef ParameterCheck
Display *display
#endif
);

Bool MagellanXIECheckMotionEvent(
#ifdef ParameterCheck
Display *display,
XEvent *Event,
char *Arg
#endif
);

int MagellanXIERemoveMotionEvents(
#ifdef ParameterCheck
Display *display
#endif
);

#endif  /* Magellan X Window XIE Header */
